export interface LoginResult {
  access_token: string
  refresh_token: string
  user_id: string
}
export interface LoginData {
  username?: string
  password: string
  phone?: string
  grant_type: string
}

export interface RefreshData {
  grant_type: string
  refresh_token: string
}
export interface InfoResult {
  company: string
  nickname: string
  phone: string
  roles: []
  username: string
  _id: string
}
export interface RegisterData {
  username: string
  nickname?: string
  password: string
  phone: string
  verifyCode: string
}

export interface ResetPwdData {
  phone: string
  verifyCode: string
  password: string
}
