import xHttp from '@/apis/Xhttp'
import { RESOURCE_URL } from '@/apis/url'
import { queryResourceListResult, queryResourceListData } from './types'

export default {
  // 查询资源列表
  async queryResourceList(params: queryResourceListData) {
    return await xHttp.get<queryResourceListResult, queryResourceListData>(
      RESOURCE_URL.RESOURCE_LIST,
      params
    )
  }
}
