import Validator from './Validator'
export default class NumberRangeValidator extends Validator {
  constructor(fieldLabel, def, formData) {
    super(fieldLabel, def, formData)
  }

  /**
   * 生成校验规则
   */
  getRule() {
    const { min, max, message } = this.def.options || {}
    return {
      type: 'number',
      min,
      max,
      message: message || `请输入正确的${this.fieldLabel}，值在 ${min} 到 ${max} 之间`
    }
  }
}
