// import 'ant-design-vue/dist/antd.css'
// import 'ant-design-vue/dist/antd.less' // 引入官方提供的 less 样式入口文件
import './assets/styles/base.less'
import { createApp } from 'vue'
// import { createPinia } from 'pinia'
import App from './App.vue'
import router from './router'
import { setupStore } from '@/stores'
import Antd from 'ant-design-vue'
const app = createApp(App)
import './import/index'
import registerComponents from '@/import/components'
Object.keys(registerComponents).forEach((key) => {
  app.component(key, registerComponents[key])
})
// 去除warn提醒
// app.config.warnHandler = function () {}
// app.use(createPinia())
// 全局挂载pinia
setupStore(app)
app.use(router)
app.use(Antd)
// console.log('app :>> ', app)
app.mount('#app')
