export interface typeOptions {
  type: string
  options: FORM.OPTIONS
}
// 传入form的接口定义
export interface FormOptions {
  formDef: FORM_DEF
  formRecordData?: {}
  parentFormData?: {}
  formHelpData?: {}
  readonly?: boolean
  readonlyFields?: string
}

interface FORM_DEF {
  name: string
  dicts: FORM.DICT[]
  layout: LAYOUT
  validators: {
    fieldValidators: []
    subformValidators: []
    formValidators: []
  }
}
export type LAYOUT =
  | typeOptions[]
  | {
      itemOptions: {}
      children: typeOptions[]
    }
