export const searchFields = [
  {
    operator: 'like',
    renderer: {
      type: 'TextField',
      options: {
        type: 'text',
        field: 'name',
        label: '角色名称'
      }
    }
  }
]
export const tableFields = [
  {
    name: 'code',
    type: 'text',
    align: 'center',
    label: '角色编码'
    // width: 100
  },
  {
    name: 'name',
    type: 'text',
    align: 'center',
    label: '角色名称'
  },
  {
    name: 'description',
    type: 'text',
    align: 'center',
    label: '角色描述'
  }
]
export const recordOperators = [
  {
    key: 'edit',
    label: '编辑'
    // color: '#ea9e64'
    // expression: 'state=="1"'
  },
  {
    key: 'authorization',
    label: '授权'
    // color: '#72c040'
  },
  {
    key: 'delete',
    label: '删除',
    color: '#ec5b55',
    // disabled: 'state=="1"',
    confirm: true
  }
]
export const tableOperators = [
  {
    key: 'add',
    icon: 'plus',
    label: '新增'
  }
]
export const formDef = {
  layout: {
    itemOptions: {
      labelSpan: 5,
      wrapperSpan: 18
    },
    children: [
      {
        type: 'TextField',
        options: {
          type: 'text',
          field: 'name',
          label: '角色名称：',
          required: true
        }
      },
      {
        type: 'TextField',
        options: {
          type: 'text',
          field: 'code',
          label: '角色编码：',
          required: true
        }
      },
      {
        type: 'TextField',
        options: {
          type: 'text',
          field: 'description',
          label: '描述：',
          mode: 'textarea' // 文本域
          // required: true
        }
      }
    ]
  }
}
